Bug 1463358 - Create a password validity check for pkispawn
Create a password validity check for pkispawn
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core (Show other bugs)
7.4
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: RHCS Maintainers
Asha Akkiangady
: Reopened, ZStream
: 1462973 (view as bug list)
Depends On: 1447762
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 11:45 EDT by Jaroslav Reznik
Modified: 2017-10-25 13:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1447762
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2017-06-20 11:45:04 EDT
This bug has been copied from bug #1447762 and has been proposed
to be backported to 7.4 z-stream (EUS).
Comment 3 Matthew Harmsen 2017-06-21 11:22:27 EDT
NOTE:  This ticket was created due to the following information contained in
       the bug from which it was cloned:

Roshni 2017-06-14 10:09:16 EDT

pkispawn was successful after trying a couple of times. Do we want to fail pkispawn with an appropriate error message if a pin with \ is provided in the installation file?

Endi Sukma Dewata 2017-06-14 11:39:31 EDT

Yes, we can add some code to check user-provided password validity and generate the proper error message. Feel free to change the ticket to ASSIGNED or open a new ticket.
Comment 4 Matthew Harmsen 2017-06-27 19:47:09 EDT
*** Bug 1462973 has been marked as a duplicate of this bug. ***
Comment 6 Matthew Harmsen 2017-10-25 13:04:21 EDT
[20171025] - RHEL 7.5 pre-Alpha Offline Triage ==> 7.6

Note You need to log in before you can comment on or make changes to this bug.